package dk.nsp.idsas.sores;

import java.io.IOException;

import dk.nsp.idsas.integration.util.ServiceErrorCallback;
import dk.nsp.idsas.integration.sores.SoresClient;
import dk.nsp.idsas.integration.sores.SoresClientException;

import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.junit.Test;

public class SoresClientTest {

    @Test
    public void deleteMeWhenDoneDeveloping() throws SoresClientException, IOException {
        try (CloseableHttpClient httpClient = HttpClients.createDefault())
        {
            SoresClient client = new SoresClient(
                    "http://test1.ekstern-test.nspop.dk:8080/sores/v2",
                    httpClient,
                    new ServiceErrorCallback(java.time.Duration.ofMinutes(1)));
            boolean value = client.cvrMapsToSor("29190925");
            System.out.println(value);
        }
    }

}